<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getContractNames](./bitburner.bladeburner.getcontractnames.md)

## Bladeburner.getContractNames() method

List all contracts.

**Signature:**

```typescript
getContractNames(): string[];
```
**Returns:**

string\[\]

Array of strings containing the names of all Bladeburner contracts.

## Remarks

RAM cost: 0.4 GB

Returns an array of strings containing the names of all Bladeburner contracts.

